%define mozilla_version 0.9.8
%define major 0

Name: nautilus
Version: 1.0.6
Release: 15mdk
Summary: Nautilus is a file manager for the GNOME desktop environment.
Group: File tools
License: GPL
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/unstable/sources/nautilus/nautilus-%{version}.tar.bz2
Source1: nautilus_16.xpm.bz2
Source2: nautilus_32.xpm.bz2
Source3: nautilus_48.xpm.bz2
Source4: emblem-shared.svg.bz2
# (fc) 1.0.6-1mdk new default desktop initialization
Patch2: nautilus-1.0.6-defaultdesktop.patch.bz2
# (fc) 1.0.3-1mdk Mandrake homepage
Patch3: nautilus-1.0.4-mandrakehomepage.patch.bz2
# (fc) 1.0.4-4mdk merged desktop with system desktop
Patch12: nautilus-1.0.6-dynamic.patch.bz2
# (fc) 1.0.4-5mdk fix icons loading for .desktop
Patch14: nautilus-1.0.6-links.patch.bz2
# (fc) 1.0.4-6mdk don't eject automounted cdroms
Patch15: nautilus-1.0.6-automount.patch.bz2
# (fc) 1.0.6-3mdk add file sharing support
Patch16: nautilus-1.0.6-sharing.patch.bz2
# rawhide - Background efficiency improvements and hacks
Patch17: nautilus-1.0.5-bghack.patch.bz2
# (fc) 1.0.6-4mdk don't leak defunct process in hyperbola
Patch18: nautilus-1.0.6-hyperbola.patch.bz2
# (fc) 1.0.6-4mdk fix url dnd from Galeon/Mozilla
Patch19: nautilus-url-drop-fix.patch.bz2
# (fc) 1.0.6-4mdk various cvs fixes (GNOME CVS)
Patch20: nautilus-1.0.6-cvsfixes.patch.bz2
# (fc) 1.0.6-5mdk supermount support
Patch21: nautilus-1.0.6-supermount.patch.bz2
# (fc) 1.0.6-7mdk fix flash at startup
Patch22: nautilus-1.0.6-flash.patch.bz2
# (fc) 1.0.6-14mdk fix NO_XALF .desktop launching (bug 5998)
Patch23: nautilus-1.0.6-noxalf.patch.bz2
BuildRoot:%{_tmppath}/%{name}-%{version}-root

Requires: liboaf0 >= 0.6.6-1mdk
Requires: bonobo >= 1.0.9
Requires: medusa >= 0.5.1
Requires: GConf >= 1.0
Requires: gnome-vfs >= 1.0.1-5mdk
Requires: nautilus-mozilla = %{version}-%{release}
Requires: eel >= 1.0.2-5mdk
Requires: fam
Requires: drakxtools-newt >= 1.1.7-46mdk
# needed for file sharing translation
Requires: gtk+mdk >= 0.1.6-9mdk
PreReq: scrollkeeper >= 0.1.4

Provides: gnome-desktop

BuildRequires: bonobo-devel >= 1.0.9
BuildRequires: bzip2-devel
BuildRequires: control-center-devel >= 1.3
BuildRequires: libeel0-devel >= 1.0.2-5mdk
BuildRequires: fam-devel
BuildRequires: freetype2-devel
BuildRequires: GConf-devel
BuildRequires: gdk-pixbuf-devel
BuildRequires: libpanel_applet0-devel
BuildRequires: gnome-vfs-devel >= 1.0.1
BuildRequires: gnome-print-devel
BuildRequires: libcdda-devel
BuildRequires: libghttp-devel
BuildRequires: libmedusa-devel >= 0.5.1
BuildRequires: librsvg-devel
BuildRequires: libxml-devel
BuildRequires: mozilla-devel = %{mozilla_version}
BuildRequires: pam-devel
BuildRequires: popt-devel
BuildRequires: scrollkeeper >= 0.1.4
BuildRequires: xml-i18n-tools

Obsoletes: nautilus-trilobite
Provides: nautilus-trilobite = %{version}

%description
Nautilus is an excellent file manager for the GNOME desktop environment.

%package -n lib%{name}%{major}
Summary:        Libraries for Nautilus File manager
Group:          System/Libraries

%description -n lib%{name}%{major} 
Nautilus is an excellent file manager for the GNOME desktop environment.
This package contains libraries used by Nautilus.

%package -n lib%{name}%{major}-devel
Summary:        Libraries and include files for developing nautilus components
Group:          Development/GNOME and GTK+
Requires:       %name = %{version}
Requires:		lib%{name}%{major} = %{version}
Obsoletes:		%{name}-devel
Provides:		%{name}-devel = %{version}
Provides:		lib%{name}-devel = %{version}

%description -n lib%{name}%{major}-devel
This package provides the necessary development libraries and include 
files to allow you to develop nautilus components.

%package mozilla
Summary:        Nautilus component for use with Mozilla
Group:          Graphical desktop/GNOME
Requires:		%name = %{version}
Requires:		mozilla = %{mozilla_version}


%description mozilla
This enables the use of embedded Mozilla as a Nautilus component.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch2 -p1 -b .defaultdesktop
%patch3 -p1 -b .mandrake
%patch12 -p1 -b .dynamic
%patch14 -p1 -b .links
%patch15 -p1 -b .autofs
%patch16 -p1 -b .sharing
%patch17 -p1 -b .bghack
%patch18 -p1 -b .hyperbola
%patch19 -p1 -b .dropurl
%patch20 -p1 -b .cvsfixes
%patch21 -p1 -b .supermount
%patch22 -p1 -b .flash
%patch23 -p1 -b .noxalf

#needed by patch2 
automake
autoconf


%build

%configure --with-mozilla-nspr-include-place=%{_includedir}/nspr

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name} --no-desktop" \
needs="x11" section="Applications/File tools" title="Nautilus" \
longtitle="Nautilus - GNOME file manager" icon="%{name}.xpm"
EOF

mkdir -p  $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/nautilus.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/nautilus.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/nautilus.xpm

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/nautilus/default-desktop/starthere.desktop

bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_datadir}/pixmaps/nautilus/emblem-shared.svg

%{find_lang} %{name}

%post
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi
%{update_menus}

%post -n lib%{name}%{major} -p /sbin/ldconfig

%postun -n lib%{name}%{major} -p /sbin/ldconfig

%postun
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/CORBA/servers/*
%config(noreplace) %{_sysconfdir}/vfs/modules/*
%{_bindir}/nautilus-clean.sh
%{_bindir}/nautilus-restore-settings-to-default.sh
%{_bindir}/gnome-db2html2
%{_bindir}/gnome-info2html2
%{_bindir}/gnome-man2html2
%{_bindir}/hyperbola
%{_bindir}/nautilus
%{_bindir}/nautilus-adapter
%{_bindir}/nautilus-content-loser
%{_bindir}/nautilus-error-dialog
%{_bindir}/nautilus-hardware-view
%{_bindir}/nautilus-history-view
%{_bindir}/nautilus-image-view
%{_bindir}/nautilus-music-view
%{_bindir}/nautilus-news
%{_bindir}/nautilus-notes
%{_bindir}/nautilus-sample-content-view
%{_bindir}/nautilus-sidebar-loser
%{_bindir}/nautilus-text-view
%{_bindir}/nautilus-throbber
%{_bindir}/run-nautilus
%{_menudir}/*
%{_libdir}/libnautilus-adapter.so
%{_libdir}/libnautilus-tree-view.so
%{_libdir}/vfs/modules/*.so
%{_iconsdir}/*.xpm
%{_miconsdir}/*.xpm
%{_liconsdir}/*.xpm
%{_datadir}/pixmaps/*
%{_datadir}/nautilus
%{_datadir}/oaf/Nautilus_View_help.oaf
%{_datadir}/oaf/Nautilus_ComponentAdapterFactory_std.oaf
%{_datadir}/oaf/Nautilus_View_content-loser.oaf
%{_datadir}/oaf/Nautilus_View_hardware.oaf
%{_datadir}/oaf/Nautilus_View_history.oaf
%{_datadir}/oaf/Nautilus_View_image.oaf
%{_datadir}/oaf/Nautilus_View_music.oaf
%{_datadir}/oaf/Nautilus_View_news.oaf
%{_datadir}/oaf/Nautilus_View_notes.oaf
%{_datadir}/oaf/Nautilus_View_sample.oaf
%{_datadir}/oaf/Nautilus_View_sidebar-loser.oaf
%{_datadir}/oaf/Nautilus_View_text.oaf
%{_datadir}/oaf/Nautilus_View_tree.oaf
%{_datadir}/oaf/Nautilus_shell.oaf
%{_datadir}/oaf/Nautilus_Control_throbber.oaf
%{_datadir}/omf/nautilus
%{_datadir}/gnome/apps/*/*
%dir %{_datadir}/gnome/help/*
%{_datadir}/gnome/help/*/C
%lang(es) %{_datadir}/gnome/help/*/es
%lang(ko) %{_datadir}/gnome/help/*/ko
%lang(no) %{_datadir}/gnome/help/*/no
%lang(sv) %{_datadir}/gnome/help/*/sv
%{_datadir}/gnome/ui/*
%{_datadir}/idl/*
%{_mandir}/man1/*
%dir %{_datadir}/gnome/desktop

%files -n lib%{name}%{major}
%defattr(-, root, root)
%{_libdir}/libnautilus*.so.*


%files -n lib%{name}%{major}-devel
%defattr(-, root, root)
%{_includedir}/*
%{_bindir}/nautilus-config
%{_libdir}/*.la
%{_libdir}/*.sh
%{_libdir}/libnautilus.so
%{_libdir}/libnautilus-adapter.so
%{_libdir}/vfs/modules/*.la

%files mozilla
%defattr(-, root, root)
%{_bindir}/nautilus-mozilla-content-view
%{_datadir}/oaf/Nautilus_View_mozilla.oaf

%changelog
* Thu Mar 14 2002 Pablo Saratxaga <fcrozat@mandrakesoft.com> 1.0.6-15mdk
- corrected i18n bugs

* Wed Mar 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-14mdk
- Patch23 : NO_XALF .desktop can now be launched by nautilus (bug 5998)
- Update patch2 to use translation for "Recreate defaults icons"

* Thu Mar  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-13mdk
- Update patch21 to duplicate "CD-ROM" translation before using it 
  (was causing segfault in Basque..)

* Mon Mar  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-12mdk
- Update patch21 to rename supermounted CDROMs from "Unknown" to "CD-ROM"
- Update patch2 to rephrase "create default icons" into "recreate default icons"
- Update patch12 to accept dragging panel launcher to desktop

* Wed Feb 27 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.6-11mdk
- integrated Basque translation

* Tue Feb 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-10mdk
- Update patch 16 : use translation from gtk+mdk po and update properties 
  after running filesharing config tool
- Update patch 21 : simplify supermount code
- Add emblem for shared directories

* Wed Feb  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-9mdk
- Recompiled against mozilla 0.9.8
- Really remove start-here icon

* Thu Jan 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-8mdk
- Update patch20: add fix for Mozilla profile, fix remote sound preview
- Patch23: fix some fuzzy entries in po causing menu errors

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-7mdk
- Update patch21: try to not stat supermount mount points
- Enforce dependency on drakxtools, otherwise filesharing might not work
- Patch22: fix last remaining flash bug at startup
- Recompiled against Mozilla 0.9.7

* Fri Dec 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-6mdk
- Update patch 21 : remove debug message

* Fri Dec 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-5mdk
- Patch21: supermount support
- Update patch 16 : finish implementation of file sharing
- Update patch 12 : use #define when possible

* Thu Dec  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-4mdk
- Patch17 (rawhide) : Background efficiency improvements and hacks
- Patch18 : fix defunct process leaked by hyperbola
- Patch19 (Ximian) : Fix dnd url from Galeon/Mozilla
- Patch20 (GNOME CVS) : Various cvs fixes
- Fix patch 12 : should not crash when copying files on desktop
- Libification

* Thu Nov 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-3mdk
- Patch16: add file sharing support (need drakxtools with fileshareset/list)
- Enforce dependency on mozilla version

* Mon Nov 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-2mdk
- Recompiled against Mozilla 0.9.6

* Thu Nov 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-1mdk
- Release 1.0.6
- Remove patches 0, 2, 4, 8, 9, 13 (merged upstream)
- Regenerate patches 2 (new implementation),  14 (some parts are merged upstream), 
  15 (new implementation), 12 (Nautilus authors suggestions)

* Fri Oct 19 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.4-13mdk
- Fix BuildRequires

* Tue Oct 16 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.0.4-12mdk
- rebuilt with libpng3
- added a comment about a circular dependency when building this package:
we need nautilus installed to build nautilus... or we need gmc, to be 
able to install gnome-core(-devel).

* Tue Oct  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-11mdk
- Fix BuildRequires
- Update patch13 with reviewed fix for mount/umount

* Mon Oct  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-10mdk
- Update patch13: fix error detection when mounting / unmounting

* Tue Sep 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-9mdk
- Revert patch0 to version from 1.0.4-5mdk, latest version is too unstable
- Update patch14: fix loading of url type desktop files
- Update patch12: moving files to desktop
				  fix create new directory in desktop

* Sat Sep 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-8mdk
- Recompiled against mozilla 0.9.4

* Fri Sep 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-7mdk
- Update patch13 : enhance thumbnail code

* Fri Sep 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-6mdk
- Patch15: don't eject cd automounted
- Update patch13: fix race condition when unmount cdrom
- Update patch12: hack to fix bug when switching desktop location 
- Update patch0 with latest version of redhat branch

* Thu Sep  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-5mdk
- Update patch12 : enable moving icons on desktop
- Patch14: fix icons for .desktops

* Fri Aug 31 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-4mdk
- Update patch 6 (almost included in patch13)
- Patch0: use redhat-outstanding-patch branch
- Patch 9: add support for jfs 
- Regenerate patch 3
- Remove eazel logos (Eazel is down)
- Don't compile Mozilla support on ia64
- Patch12: add support for dynamic mount points
- Patch13: a lot of fixes from CVS

* Wed Jul 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-2mdk
- Patch 7: fix flash at startup problem (Jonathan Blandford)

* Fri Jul  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-1mdk
- Release 1.0.4
- Remove patch 5 (merged upstream)
- Regenerate patch 2, 3

* Fri Jun 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-4mdk
- Build with fam

* Fri Jun  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-3mdk
- Recompiled against latest Mozilla

* Tue May 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-2mdk
- Patch4 : Use libnspr4 for Mozilla components
- Patch5 : add nautilus to session (from GNOME CVS)

* Mon May 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Release 1.0.3
- Remove patch 0, 4, 5 (merged upstream), patch1 (moved to trilobite), patch3 (no longer needed by trilobite)
- Regenerate patch2 (some part are in eel now)
- Patch3 : Now longer provides Eazel services (too bad for Eazel folks ;(

* Thu Apr 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2

* Tue Apr 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1.1-5mdk
- Update patch 2 to correctly create URL links from gmc ones

* Fri Apr 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1.1-4mdk
- Correct patch 2 to correctly call gmc scripts

* Fri Apr 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1.1-3mdk
- Change menu icon

* Fri Apr 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1.1-2mdk
- Add requires on urw-fonts (otherwise Nautilus crashes)

* Mon Apr  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1.1-1mdk
- Release 1.0.1.1
- Patch5 to prevent scrollkeeper-update to be run at install section

* Mon Apr  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-6mdk
- Recompiled against latest gcc
- Mozilla-psm is required to work correctly with https site

* Fri Apr  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-5mdk
- Really fix bug 2948 (html displayed as text)

* Fri Apr  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-4mdk
- Add missing dependency

* Fri Apr  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-3mdk
- Recompiled with -fno-strength-reduce

* Thu Apr  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Add strong dependency on nautilus-mozilla
- Update patch 3 (do not create service icon if services are not installed)

* Tue Apr  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Tue Apr  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-7mdk
- Provides gnome-desktop virtual package
- Patch3 to check if services are installed before displaying menu
- Patch2 to initialize gmc desktop before importing it

* Thu Mar 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-6mdk
- Add medusa in Requires, library dependencies is not enough

* Mon Mar 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-5mdk
- Add pam-devel in BuildRequires

* Thu Mar 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-4mdk
- Add missing dependency on ammonite and nautilus-mozilla for nautilus-trilobite
- Patch 1 for using rpm4 on Mdk 8

* Thu Mar 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-3mdk
- Patch 0 to correctly install xml data

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-2mdk
- Change dependencies on scrollkeeper

* Tue Mar 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- Release 1.0
- Remove patch 0 (merged upstream)
- Correct dependencies

* Fri Mar  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.2-2mdk
- patch 0 to support bzipped info and man pages

* Thu Mar  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.2-1mdk
- Release 0.8.2
- Remove patch 0 (merged upstream)

* Mon Feb  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Release 0.8 (PR3)
- Remove patch 1
- Split main package

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-4mdk
- Re-add dependencies since implicit dependencies are not enough

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-3mdk
- update patch1
- Recompiled with oaf 0.6.2

* Mon Jan  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-2mdk
- Rebuild with latest Bonobo  (update patch 1)

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk
- Release 0.5
- eazel services are not compiled (not yet compatible with rpmlib4)

* Thu Aug 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.0-1mdk
- first rpm (from Geoffrey Lee).


